Firefox 3 is not compatible with fingerprint readers on "log in" sites. It's predecessor was.

RESOLVED INVALID

Status

()

Firefox
Shell Integration
RESOLVED INVALID
9 years ago
9 years ago

People

(Reporter: tim, Unassigned)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

9 years ago
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9.0.1) Gecko/2008070208 Firefox/3.0.1
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9.0.1) Gecko/2008070208 Firefox/3.0.1

i updated to Firefox 3, and found out quickly that it did not support my fingerprint reader as the older version had. i have a fingerprint reader with the "protector suite" software

Reproducible: Always

Steps to Reproduce:
1.have a computer equipped with a reader and "protector suite" software
2.go to any site that has a user name and password input dialogue box. i.e. netflix.com 
3. attempt to register your fingerprint or replay registration (in other words, use print in place of user name and password)
Actual Results:  
an error message occurs entitled password bank.  the message reads:
"the window could not be registered for the following reasons:
internet explorer module: this is not an Internet Explorer window
Gecko browser module: this is not a supported browser window
Dialog module: window does not contain controls suitable for registration"

Expected Results:  
when registering a site, a small yellow pop up informs you of it's status in the upper left of the browser.
when replaying a registration (upon a finger swipe) the boarders of the window flash red twice, the boxes are filled automatically and the browser proceeds to enter the information, bringing you to the subsequent page.

the error message says something about internet explorer; however, the software worked with Firefox 2.
(In reply to comment #0)
>...
> Actual Results:  
> an error message occurs entitled password bank.  the message reads:
> "the window could not be registered for the following reasons:
> internet explorer module: this is not an Internet Explorer window
> Gecko browser module: this is not a supported browser window
The above "Gecko browser module: this is not a supported browser window" is a message from your fingerprint reader software telling you that it does not recognize Firefox (e.g. Gecko) as supported.

Have you reported this to the manufacturer of the software? If not please do so and report back in this bug what they have said. Thanks

btw: this is almost certainly invalid and a bug with the fingerprint reader software... I would like to know more details hence why I am not closing the bug
(Reporter)

Updated

9 years ago
Status: UNCONFIRMED → RESOLVED
Last Resolved: 9 years ago
Resolution: --- → FIXED
Any info on how you fixed this would be appreciated for tracking purposes. Thanks
Resolution: FIXED → INVALID
You need to log in before you can comment on or make changes to this bug.